<?php
  
/*
------------------------------------------------
AlphaCMS - универсальный движок для вашего сайта
E-mail администрации проекта: adm@alpha-cms.ru
Официальный сайт поддержки: alpha-cms.ru
Руководитель проекта: adm (ID 1)
------------------------------------------------
*/
  
FOREACH (ARRAY('config', 'connect', 'users') AS $connect) {
  
  INCLUDE_ONCE ("../../system/connections/global/$connect.php"); 
  
}
  
/*
-----------------------------------------
Отдача видеофайлов на просмотр/скачивание
-----------------------------------------
*/

$id = INTVAL(GET('id'));
$dir2 = INTVAL(GET('dir'));

IF ($dir2 == 0){
  
  $dir = 0;
  
}ELSE{
  
  $dir3 = DB::GET_STRING("SELECT `ID`,`PRIVATE`,`USER_ID`,`PASSWORD` FROM `VIDEOS_DIR` WHERE `ID` = '".$dir2."' LIMIT 1");
  
  IF (!$dir3['ID']){
    
    $dir = 0;
    
  }ELSE{
    
    $dir = $dir3['ID'];
    
  }

}

$video = DB::GET_STRING("SELECT `ID`,`NAME`,`EXT`,`USER_ID` FROM `VIDEOS` WHERE `ID` = '".$id."' AND `ID_DIR` = '".$dir."' LIMIT 1");

//Если данные не опознаны
IF (!IS_FILE(ROOT.'/files/upload/videos/source/'.$id.'.'.$video['EXT']) || !$video['ID']){
  
  FILE::DOWNLOAD(ROOT.'/files/upload/photos/240x240/no_photo.jpg', HTTP_HOST.'_no_photo.jpg', FILE::MIME("jpg"));
  
  EXIT;

}

IF ($dir > 0){
  
  IF (MANAGEMENT == 0){
    
    IF (ACCESS('videos_private_show', NULL, 1) == FALSE){
      
      IF (DB::GET_COLUMN("SELECT COUNT(*) FROM `VIDEOS_SHOW` WHERE `VIDEO_ID` = '".$video['ID']."' AND `USER_ID` = '".$video['USER_ID']."' LIMIT 1") == 0){
        
        //Если видео в закрытом альбоме
        IF ($dir3['PRIVATE'] == 3 && $dir3['USER_ID'] != $user['ID']){
          
          FILE::DOWNLOAD(ROOT.'/files/upload/photos/240x240/no_photo.jpg', HTTP_HOST.'_no_photo.jpg', FILE::MIME("jpg"));
          EXIT;
        
        }
        
        //Если видео только для владельца альбома
        IF ($dir3['PRIVATE'] == 2 && $dir3['USER_ID'] != $user['ID']){
          
          FILE::DOWNLOAD(ROOT.'/files/upload/photos/240x240/no_photo.jpg', HTTP_HOST.'_no_photo.jpg', FILE::MIME("jpg"));
          EXIT;
        
        }
        
        //Если видео только по паролю
        IF ($dir3['PRIVATE'] == 4 && STR($dir3['PASSWORD']) > 0 && $dir3['USER_ID'] != $user['ID'] && !ISSET($_SESSION['DIR_PASSWORD'])){
          
          FILE::DOWNLOAD(ROOT.'/files/upload/photos/240x240/no_photo.jpg', HTTP_HOST.'_no_photo.jpg', FILE::MIME("jpg"));
          EXIT;
        
        }
        
        //Если видео только друзьям
        IF ($dir3['PRIVATE'] == 1 && DB::GET_COLUMN("SELECT COUNT(*) FROM `FRIENDS` WHERE `USER_ID` = '".$user['ID']."' AND `MY_ID` = '".$video['USER_ID']."' AND `ACT` = '0' LIMIT 1") == 0 && $dir3['USER_ID'] != $user['ID']){
          
          FILE::DOWNLOAD(ROOT.'/files/upload/photos/240x240/no_photo.jpg', HTTP_HOST.'_no_photo.jpg', FILE::MIME("jpg"));
          EXIT;
        
        }
      
      }
    
    }
    
  }
  
}

//Отдаем файл браузеру если всё хорошо
IF (GET('type') == "show"){
  
  READFILE(ROOT.'/files/upload/videos/source/'.$id.'.'.$video['EXT']);
  
}ELSE{
  
  FILE::DOWNLOAD(ROOT.'/files/upload/videos/source/'.$id.'.'.$video['EXT'], HTTP_HOST.'_'.TEXT_ABSOLUTE($video['NAME']).'.'.$video['EXT'], FILE::MIME($video['EXT']));
  
}

EXIT;
  
?>